OTTEnums = {
    commands: {
        requestInit: "reqInit",
        init: "init",
        addRows: "addRows",
        gridReady: "gridReady",
        retargetingReady:"retargetingReady",
        variablesReady: "variablesReady",
        toggleGrid: "toggleGrid",
        toggleVars: "toggleVars",
        toggleRetarget:"toggleRetarget",
        close: "close",
        legacy: "legacy",
        parseServerResponse: "parseServerResponse",
        oneTagFound: "oneTagFound",
        setViewHeight: "setViewHeight",
        setDataCollectionOption: "setDataCollectionOption",
        requestDataCollectionOption: "requestDataCollectionOption",
        showDataCollectionOption: "showDataCollectionOption",
        pageVariablesResult: "pageVariablesResult",             //analyzer -> contentjs
        pageVariablesData: "pageVariablesData",                 //contentjs -> vars.controller
        pageRetargetingData:"pageRetargetingData",
        setDefaultView: "setDefaultView",                       //where to go next after login succeess
        requestPageVariables: "requestPageVariables",           //for refreshing vars after page is already open 
        writeAdvertiserVariables: "writeAdvertiserVariables",   //vars.controller -> contentjs -> backgroundjs
        writeAdvertiserVarsResult: "writeAdvertiserVarsResult", //backgroundjs -> contentjs -> vars.controller
        getAdvertiserId: "getAdvertiserId",                     //content->bg has tagID / gb->content has advertiserID
        advertisersData: "advertisersData",                     //content -> vars.controller
        serverVariables: "serverVariables",                    //content -> background -> content
        enrichDataRowsAfterLogin: "enrichDataRowsAfterLogin",   // login.contoller -> content.js -> background
        clearRows: "clearRows",
        setTabId: "setTabId"
    },
    category: {
        conversion: "conversion",
        timelines: "timelines",
        retargeting: "retargeting",
        "3rdparty": "3rdparty",
        variables: "variables"
    },
    dataCollectionOption: {
        partialData: 2,
        noData: 1,
        fullData: 0
    }
}