(function () {
    let re = new RegExp('.*http[|s]:\/\/bs\.serving-sys|-int\.com\/serving?.*'),
        reSrc = new RegExp('.*src=[\"|\'](.*)[\"|\']', 'i');

    let t = {
        check: function (e) {
            return re.test(e);
        },
        qs: function (e) {
            e = e.substring(e.indexOf("?") + 1).split("&");
            for (var t, a = {}, n = decodeURIComponent, s = e.length - 1; s >= 0; s--) t = e[s].split("="), a[n(t[0].replace("amp;", "").toLowerCase())] = n(t[1] || "");
            return a
        }
    };
    // Check once if we had cn=as tags loaded in this page
    document.addEventListener('DOMContentLoaded', function () {
        // Since cn=as tags are executed durring page load, we grab page load as the time request was triggered
        var sentTime = (new Date).getTime();
        setTimeout(function() {
            var scripts = document.getElementsByTagName("script");
            var s = null;

            // Iterate over all scripts
            for (var i = 0; i < scripts.length; i++) {
                s = scripts[i];
                if(t.check(s.src)) {
                    // its our tag, feel free to ad an id to mark it as handled
                    var n = t.qs(s.src);

                    postMessage({
                        key: "OTT",
                        command: "legacy",
                        data: {
                            qs: n,
                            sendTime: sentTime,
                            receiveTime: sentTime, // we can't measure how long it took to execute request we set it with sent time
                        }
                    }, "*");
                }
            }
        }, 3000);
    }, false);

})();