
function getActiveTab(callback) {
    chrome.tabs.query({ lastFocusedWindow: true, active: true }, function (tabs) {
        var tab = tabs[0];
        if (tab) {
            callback(tab);
        } else {
            chrome.tabs.get(activeTabId, function (tab) {
                if (tab) {
                    callback(tab);
                } else {
                    console.log('No active tab identified.');
                }
            });
        }
    });
}


var btnTags = document.querySelector("#btn_tags");
btnTags.onclick = function()  {
	getActiveTab(function(tab) {
		chrome.tabs.sendMessage(tab.id, { tabId: tab.id, command: "toggleGrid", data: {} }, function(response) {});
	});
}

var btnVariable = document.querySelector("#btn_variable");
btnVariable.onclick = function()  {
    getActiveTab(function(tab) {
		chrome.tabs.sendMessage(tab.id, { tabId: tab.id, command: "toggleVars", data: {} }, function(response) {});
	});
}

var btnRetarget = document.querySelector("#btn_retargeting");
btnRetarget.onclick = function()  {
	getActiveTab(function(tab) {
		chrome.tabs.sendMessage(tab.id, { tabId: tab.id, command: "toggleRetarget", data: {} }, function(response) {});
	});
}
